//
// MoonCanvas.h
// Draw the moon and related info.
//
//    Copyright 2002 by Akkana Peck.
// You may use or distribute this code under the terms of the GPL.
//

#ifndef MOONCANVAS_H
#define MOONCANVAS_H

#include "SkyCanvas.h"

class MoonFeature;

class MoonCanvas : public SkyCanvas
{
public:
    MoonCanvas();
    virtual ~MoonCanvas();

    void Init();

    virtual void ToggleMirrored();

    virtual void MousePress(int x, int y, int btnNum, int clickNum);
    virtual void MouseRelease(int x, int y, int btnNum, int clickNum);

    static void SetDebugMode(int yes) { sDebugMode = yes; };

protected:
    int mMoonRadius;
    int mMoonCenterX, mMoonCenterY;
    int mMirrored;
    int mZoomLevel;
    int mMinLong, mMaxLong;
    int mMinLat, mMaxLat;

    int mCraterNum;
#define MAX_OBJECTS_SHOWN 6
    MoonFeature* mMatches[MAX_OBJECTS_SHOWN];

    static int sDebugMode;

    // All images have some inherent libration, alas.  Compensate:
    int mImgLibrationE;
    int mImgLibrationN;
};

#endif // MOONCANVAS_H
